Skip to main content

Create Event: Knock

POSThttps://api.propexo.com/crm/v1/events/knock/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    community_idstringrequired

    The Propexo unique identifier for the community

    attribution_idstring

    The Propexo unique identifier for the attribution. Required for CALL events

    agent_idstring

    The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events

    event_namestringrequired

    The name or type of event

    Show 5 enum values
    SMSCHATCALLEMAILACTIVITY
    event_datetimestring<date-time>

    The date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events

    notesstring

    Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events

    email_bodystring

    The body of the email. Required for EMAIL events

    email_subjectstring

    The subject of the email. Required for EMAIL events

    call_statusstring

    The status of the call. Required for CALL events

    Show 6 enum values
    ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATED
    time_fromstring<date-time>

    The start time of the event. Required for CALL events

    time_tostring<date-time>

    The end time of the event. Required for CALL events

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    community_idstringrequired

    The Propexo unique identifier for the community

    attribution_idstring | nullnullablerequired

    The Propexo unique identifier for the attribution. Required for CALL events

    agent_idstring | nullnullablerequired

    The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events

    event_namestringrequired

    The name or type of event

    Show 5 enum values
    SMSCHATCALLEMAILACTIVITY
    event_datetime(string | null)<date-time>nullablerequired

    The date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events

    notesstring | nullnullablerequired

    Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events

    email_bodystring | nullnullablerequired

    The body of the email. Required for EMAIL events

    email_subjectstring | nullnullablerequired

    The subject of the email. Required for EMAIL events

    call_statusstring | nullnullablerequired

    The status of the call. Required for CALL events

    Show 6 enum values
    ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATED
    time_from(string | null)<date-time>nullablerequired

    The start time of the event. Required for CALL events

    time_to(string | null)<date-time>nullablerequired

    The end time of the event. Required for CALL events

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/events/knock/
curl -X POST https://api.propexo.com/crm/v1/events/knock/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"prospect_id": "string",
"community_id": "string",
"event_name": "SMS"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"prospect_id": "string",
"community_id": "string",
"attribution_id": "string",
"agent_id": "string",
"event_name": "SMS",
"event_datetime": "2024-07-29T15:51:28.071Z",
"notes": "string",
"email_body": "string",
"email_subject": "string",
"call_status": "ANSWERED",
"time_from": "2024-07-29T15:51:28.071Z",
"time_to": "2024-07-29T15:51:28.071Z"
}
}